> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Manufacture Order Line Item

> This endpoint gets or creates a new manufacture order line item.

### Body

<ParamField body="id" type="string">
  This is the id of the manufacture order line item.
</ParamField>

### Response

<ResponseField name="id" type="string">
  This is the id of the manufacture order line item.
</ResponseField>

<ResponseField name="bom_name" type="string">
  This is the name of the bill of materials (BOM) associated with the line item.
</ResponseField>

<ResponseField name="bom_number" type="string">
  This is the number assigned to the bill of materials (BOM).
</ResponseField>

<ResponseField name="expected_date" type="date">
  This is the expected date for the completion of the line item.
</ResponseField>

<ResponseField name="line_status" type="string">
  This is the status of the line item (e.g., in progress, completed, etc.).
</ResponseField>

<ResponseField name="line_type" type="string">
  This is the type or category of the line item.
</ResponseField>

<ResponseField name="manufacture_order_number" type="string">
  This is the number of the associated manufacture order.
</ResponseField>

<ResponseField name="output_type" type="string">
  This is the type of output produced by the line item (e.g., product, component).
</ResponseField>

<ResponseField name="part_name" type="string">
  This is the name of the part associated with the line item.
</ResponseField>

<ResponseField name="part_number" type="string">
  This is the number assigned to the part associated with the line item.
</ResponseField>

<ResponseField name="priority" type="string">
  This is the priority level of the line item.
</ResponseField>

<ResponseField name="quantity" type="integer">
  This is the quantity of the part to be manufactured or processed.
</ResponseField>

<ResponseField name="site" type="string">
  This is the site or location associated with the line item.
</ResponseField>

<ResponseField name="work_order_number" type="string">
  This is the number of the associated work order.
</ResponseField>

<ResponseField name="yield_location" type="string">
  This is the location where the manufactured product will be stored.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --location --request GET 'https://api.stateset.com/v1/work_order_line_items/:id' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Token <token>' \
  --data-raw '{
      "id": "1"
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "id": "1",
      "bom_name": "BOM 1",
      "bom_number": "BOM-1",
      "expected_date": "2021-01-01",
      "line_status": "In Progress",
      "line_type": "Manufacture",
      "manufacture_order_number": "MO-1",
      "output_type": "Product",
      "part_name": "Part 1",
      "part_number": "PART-1",
      "priority": "High",
      "quantity": 100,
      "site": "Site 1",
      "work_order_number": "WO-1",
      "yield_location": "Location 1"

  }
  ```
</ResponseExample>

## Manufacture Order Line Item

| Field                      | Type    | Description                                                         |
| -------------------------- | ------- | ------------------------------------------------------------------- |
| bom\_name                  | String  | Name of the bill of materials (BOM) associated with the line item   |
| bom\_number                | String  | Number assigned to the bill of materials (BOM)                      |
| id                         | String  | Unique identifier for the line item                                 |
| expected\_date             | Date    | Expected date for the completion of the line item                   |
| line\_status               | String  | Status of the line item (e.g., in progress, completed, etc.)        |
| line\_type                 | String  | Type or category of the line item                                   |
| manufacture\_order\_number | String  | Number of the associated manufacture order                          |
| output\_type               | String  | Type of output produced by the line item (e.g., product, component) |
| part\_name                 | String  | Name of the part associated with the line item                      |
| part\_number               | String  | Number assigned to the part associated with the line item           |
| priority                   | String  | Priority level of the line item                                     |
| quantity                   | Integer | Quantity of the part to be manufactured or processed                |
| site                       | String  | Site or location associated with the line item                      |
| work\_order\_number        | String  | Number of the associated work order                                 |
| yield\_location            | String  | Location where the manufactured product will be stored              |
